%global pypi_name ansible-builder
%global commitId 664643a81df624a2022834a3e23a81a532c8148e

Name:           %{pypi_name}
Version:        1.2.0
Release:        1%{?dist}
Summary:        An Ansible execution environment builder

License:        ASL 2.0
URL:            https://github.com/ansible/ansible-builder
Source0:        ansible-builder-664643a81df624a2022834a3e23a81a532c8148e.tar.gz
BuildArch:      noarch

Patch1:         image_path_override.patch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pbr
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

Requires:       python%{python3_pkgversion}-bindep
Requires:       python%{python3_pkgversion}-pyyaml
Requires:       python%{python3_pkgversion}-requirements-parser

Recommends:     podman

Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
Obsoletes:      python39-%{pypi_name} < %{version}-%{release}
%endif

%description
An Ansible execution environment builder

%prep
%autosetup -p 1 -n %{pypi_name}-%{commitId}

%build
export PBR_VERSION=%{version}
%py3_build

%install
export PBR_VERSION=%{version}
%py3_install

%files
%defattr(-,root,root)
%license LICENSE.md
%doc README.md
%{python3_sitelib}/ansible_builder
%{python3_sitelib}/ansible_builder-%{version}-py%{python3_version}.egg-info
%{_bindir}/ansible-builder

%changelog
* Tue Nov 01 2022 Satoe Imaishi <simaishi@redhat.com> - 1.2.0-1
- 1.2.0-1 build

* Wed Jul 13 2022 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-3
- Obsolete python-ansible-builder

* Thu May 05 2022 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-1
- 1.1.0-1 build

* Wed Oct 27 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-2
- 1.0.1-2 build

* Fri Jul 02 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-1
- 1.0.1-1 build

* Wed Jun 30 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-1
- 1.0.0-1 build
